internal::empty_body< Input, Output > Struct Template Reference

An empty functor that takes an Input and returns a default constructed Output. More...

`#include <_flow_graph_body_impl.h>`

Collaboration diagram for internal::empty_body< Input, Output >:

## Public Member Functions

Output | operator() (const Input &) const

## Detailed Description

### template<typename Input, typename Output>
struct internal::empty_body< Input, Output >

An empty functor that takes an Input and returns a default constructed Output.

Definition at line 339 of file _flow_graph_body_impl.h.

## Member Function Documentation

## operator()()

template<typename Input , typename Output >

Output internal::empty_body< Input, Output >::operator() | ( | const Input & |  | ) | const

inline

Definition at line 340 of file _flow_graph_body_impl.h.

{ return Output(); }

The documentation for this struct was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.